<app-spinner *ngIf="isLoading"></app-spinner>

<div class="show_info">
  <div class="general_info_container">
    <div class="general_info_img_container">
      <img
        [src]="show?.image ? show?.image?.medium : 'assets/images/no-img.png'"
        [alt]="show?.name"
        class="general_info_img"
      />
      <span
        class="material-icons show_heart_icon"
        [title]="UI.txt_click_to_follow"
        (click)="addToFavorite(show?.id)"
        >favorite</span
      >
    </div>
    <section class="general_info">
      <h1 class="title">
        {{ show?.name }}
      </h1>

      <div class="general_info_text">
        <p [innerHTML]="show?.summary"></p>
      </div>
    </section>
    <section class="general_info_panel">
      <div>
        <strong>Network: </strong>
        <a [href]="show?.officialSite" rel="noopener" target="_blank">{{
          show?.network?.name
        }}</a>
        <span>|</span>
        <span>{{ show?.network?.country?.name }}</span>
      </div>

      <div>
        <strong>Genres:</strong>
        <span *ngFor="let genre of show?.genres; let last = last">
          {{ genre }}{{ last ? '' : ' | ' }}
        </span>
      </div>

      <div>
        <strong>Show Type:</strong>
        <span>{{ show?.type }}</span>
      </div>

      <div>
        <strong>Schedule:</strong>
        <span>{{ show?.schedule?.days }} at {{ show?.schedule?.time }}</span>
      </div>

      <div>
        <strong>Premiered:</strong>
        <span>{{ show?.premiered }}</span>
      </div>

      <div>
        <strong>Ended:</strong>
        <span>{{ show?.ended ? show?.ended : 'Ongoing' }}</span>
      </div>

      <div>
        <strong>Status:</strong><span>{{ show?.status }} </span>
      </div>

      <div>
        <strong>Rating:</strong>
        <span> {{ show?.rating?.average | number : '1.2-2' }}</span>
        <span class="star"> &#9733; </span>
      </div>
    </section>
  </div>
</div>
